System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlLinkedNode To be added

Represents a processing instruction, which XML defines to keep processor-specific information in the text of the document.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Do not instantiate an directly; instead, use methods such as .

  Initializes a new instance of the class.

  The target of the processing instruction; see the property.
  The content of the instruction; see the property.
  The parent XML document.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  CloneNode serves as a copy constructor for nodes. For processing instruction nodes, the cloned node always includes the target and data. To see how this method behaves with other node types, see the method in the XmlNode class.

  The cloned node has no parent ( returns null).

  Creates a duplicate of this node.

  The duplicate node.

  true to recursively clone the subtree under the specified node; false to clone only the node itself.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the content of the processing instruction, excluding the target.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is a Microsoft extension to the Document Object Model (DOM).

  Gets or sets the concatenated values of the node and all its children.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the local name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the qualified name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType To be added. To be added.

  Gets the type of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the target of the processing instruction.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the value of the node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves all the children of the node to the specified . Because ProcessingInstruction nodes do not have children, this method has no effect.

  The XmlWriter to which you want to save.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves the node to the specified .

  The XmlWriter to which you want to save.